/* -------------------------------------------------- */
/* 季節イベント特集ページ専用 */
/* -------------------------------------------------- */
/* -------------------------------------------------- */
/* カレンダー */
/* -------------------------------------------------- */
.calendar-container {
    /* width: 500px; */
    width: 100%;
    margin: 10px auto;
    /* margin: 5px; */
    padding-bottom: 10px;
    border-radius: 5px;
    background: #F7F5EF;
    color: #1a1a1a;
  }
  .calendar-container .title {
    height: 80px;
    line-height: 80px;
    text-align: center;
    font-size: 24px;
    font-weight: bold;
    margin: 0;
  }
  .calendar-container .calendar {
    padding: 0 30px 30px 30px;
    margin: 0 auto; /* Centralize the calendar */
  }
  .calendar-container table {
    width: 100%;
  }
  .calendar-container th {
    text-align: center;
    padding: 10px 0;
    position: relative; /* For positioning the circle */
    transition: background-color 0.3s; /* Add transition effect */
    font-weight: normal;
    font-size: 14px;
  }
  .calendar-container td {
    text-align: center;
    padding: 10px 0;
    position: relative; /* For positioning the circle */
    transition: background-color 0.3s; /* Add transition effect */
    font-weight: bold;
  }
  .calendar-container .day *:first-child {
    color: #ff838b;
  }
  .calendar-container .day *:last-child {
    color: #6fb5ff;
  }
  .calendar-container td a {
    text-decoration: none;
    display: inline-block;
    width: 30px;
    height: 30px;
    line-height: 30px;
    border-radius: 50%;
    color: #000000 !important;
    text-align: center;
    font-weight: bold;
  }
  .calendar-container .day td:first-child a {
    color: #ff838b !important;
  }
  .calendar-container .day td:last-child a {
    color: #6fb5ff !important;
  }
  .calendar-container td.highlight a {
    display: inline-block;
    width: 30px;
    height: 30px;
    line-height: 30px;
    border-radius: 50%;
    background-color: #ff838b;
    color: #fff !important;
    text-align: center;
    font-weight: bold;
  }
  .calendar-container td.highlight:first-child a,
  .calendar-container td.highlight:last-child a {
    color: #fff !important;
  }
  /* Hover effect */
  .calendar-container td a:hover {
    background-color: #ccc;
  }
  /* Hover effect for circular background */
  .calendar-container td a:hover::before {
    background-color: #ccc; /* Light grey */
  }
  /* Reset cursor style for non-link TDs */
  .calendar-container td:not(:has(a)) {
    cursor: default;
  }
  /* Change cursor style for circular background */
  .calendar-container td a:hover::before {
    cursor: pointer;
  }
  .txt-pink{color: #ff838b;}
  .calendar-container td.bg_yellow {
    background-color: #f6e6b4;
  }
